Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenAuditContainer

All Superinterfaces:
  EObject, GenRuleContainerBase, Notifier

All Known Implementing Classes:
  GenAuditContainerImpl

public interface GenAuditContainer
extends GenRuleContainerBase

A representation of the model object 'Gen Audit Container'. Container for audit rules representing a hierarchical organization of audits in the constraint category hierarchy of emft.validation framework

The following features are supported:

- `Id`
- `Name`
- `Description`
- `Parent Container`
- `Audits`
- `Child Containers`

See Also:
  `GMFGenPackage.getGenAuditContainer()`
** Generated **
Model:

Method Summary
`EList` `getAllAuditContainers()` Gets all audit containers from this audit container hierarchy recursively
`EList` `getAllAuditRules()` Gets all audit rules from this audit container hierarchy recursively
`java.util.List` `getAllContextSelectorsLocalClassNames()`
`java.util.List` `getAllJavaLangAudits()`
`java.util.List` `getAllRequiredConstraintAdaptersLocalClassNames()`
`java.util.Map` `getAllRulesToTargetContextMap()` Maps all rules in the container hierarchy to client context IDs of their target contexts. key: (context ID of rule target) value: (EList<GenAuditRule>)
`EList` `getAllTargetedModelPackages()` Gets all model packages to which rules in this container hierarchy are targeted.
`EList` `getAudits()` Returns the value of the 'Audits' containment reference list.
`EList` `getChildContainers()` Returns the value of the 'Child Containers' containment reference list.
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`GenAuditContainer` `getParentContainer()` Returns the value of the 'Parent Container' container reference.
`EList` `getPath()` Gets hierarchical path of this audit container as ordered list of containers beginning with the root and ended with this container
`boolean` `hasDiagramElementRule()` Indicates whether this container hierarchy contains at least 1 rule targeted on notation elements.
`void` `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` `setParentContainer(GenAuditContainer value)` Sets the value of the '`Parent Container`' container reference

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenRuleContainerBase
`getEditor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAudits

    public EList getAudits()

  Returns the value of the 'Audits' containment reference list. The list contents are of type `GenAuditRule`. It is bidirectional and its opposite is '`Container`'.

  If the meaning of the 'Audits' container reference list isn't clear, there really should be more of a description here...

  The audit rules organized in this container

  Returns:
    the value of the 'Audits' containment reference list.
  See Also:
    `GMFGenPackage.getGenAuditContainer_Audits()`, `GenAuditRule.getContainer()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.GenAuditRule" opposite="container" containment="true"

### getChildContainers

    public EList getChildContainers()

  Returns the value of the 'Child Containers' containment reference list. The list contents are of type `GenAuditContainer`. It is bidirectional and its opposite is '`Parent Container`'.

  If the meaning of the 'Child Containers' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Child Containers' containment reference list.
  See Also:
    `GMFGenPackage.getGenAuditContainer_ChildContainers()`, `GenAuditContainer.getParentContainer()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.GenAuditContainer" opposite="parentContainer" containment="true"

### getId

    public java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Identifier which is unique within the scope of its parent container.

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `GenAuditContainer.setId(String)`, `GMFGenPackage.getGenAuditContainer_Id()`
  ** Generated **
  Model:
    required="true"

### setId

    public void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `GenAuditContainer.getId()`
  ** Generated **

### getName

    public java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  A human readable name for the category of audits organized in this container

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `GenAuditContainer.setName(String)`, `GMFGenPackage.getGenAuditContainer_Name()`
  ** Generated **
  Model:

### setName

    public void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `GenAuditContainer.getName()`
  ** Generated **

### getDescription

    public java.lang.String getDescription()

  Returns the value of the 'Description' attribute. The detailed description of this audit container

  Returns:
    the value of the 'Description' attribute.
  See Also:
    `GenAuditContainer.setDescription(String)`, `GMFGenPackage.getGenAuditContainer_Description()`
  ** Generated **
  Model:

### setDescription

    public void setDescription(java.lang.String value)

  Sets the value of the '`Description`' attribute.

  Parameters:
    `value` - the new value of the 'Description' attribute.
  See Also:
    `GenAuditContainer.getDescription()`
  ** Generated **

### getParentContainer

    public GenAuditContainer getParentContainer()

  Returns the value of the 'Parent Container' container reference. It is bidirectional and its opposite is '`Child Containers`'.

  If the meaning of the 'Parent Container' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent Container' container reference.
  See Also:
    `GenAuditContainer.setParentContainer(GenAuditContainer)`, `GMFGenPackage.getGenAuditContainer_ParentContainer()`, `GenAuditContainer.getChildContainers()`
  ** Generated **
  Model:
    opposite="childContainers"

### setParentContainer

    public void setParentContainer(GenAuditContainer value)

  Sets the value of the '`Parent Container`' container reference.

  Parameters:
    `value` - the new value of the 'Parent Container' container reference.
  See Also:
    `GenAuditContainer.getParentContainer()`
  ** Generated **

### getAllAuditRules

    public EList getAllAuditRules()

  Gets all audit rules from this audit container hierarchy recursively

  ** Generated **
  Model:
    kind="operation" type="org.eclipse.gmf.codegen.gmfgen.GenAuditRule"

### getAllAuditContainers

    public EList getAllAuditContainers()

  Gets all audit containers from this audit container hierarchy recursively

  ** Generated **
  Model:
    kind="operation" type="org.eclipse.gmf.codegen.gmfgen.GenAuditContainer"

### getPath

    public EList getPath()

  Gets hierarchical path of this audit container as ordered list of containers beginning with the root and ended with this container

  ** Generated **
  Model:
    kind="operation" type="org.eclipse.gmf.codegen.gmfgen.GenAuditContainer" required="true"

### getAllRulesToTargetContextMap

    public java.util.Map getAllRulesToTargetContextMap()

  Maps all rules in the container hierarchy to client context IDs of their target contexts. key: (context ID of rule target) value: (EList<GenAuditRule>)

  ** Generated **
  Model:
    kind="operation" required="true"

### getAllTargetedModelPackages

    public EList getAllTargetedModelPackages()

  Gets all model packages to which rules in this container hierarchy are targeted. Checks rules recursively.

  ** Generated **
  Model:
    kind="operation" type="org.eclipse.emf.codegen.ecore.genmodel.GenPackage"

### hasDiagramElementRule

    public boolean hasDiagramElementRule()

  Indicates whether this container hierarchy contains at least 1 rule targeted on notation elements. Checks recursively.

  ** Generated **
  Model:

### getAllContextSelectorsLocalClassNames

    public java.util.List getAllContextSelectorsLocalClassNames()

### getAllRequiredConstraintAdaptersLocalClassNames

    public java.util.List getAllRequiredConstraintAdaptersLocalClassNames()

### getAllJavaLangAudits

    public java.util.List getAllJavaLangAudits()

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.